Public Member Functions | Data Fields

# PaymentRatesGraphWindow Struct Reference

Inheritance diagram for PaymentRatesGraphWindow:

## Public Member Functions
| PaymentRatesGraphWindow (const WindowDesc *desc, WindowNumber window_number)
virtual void | OnInit ()
| Notification that the nested widget tree gets initialized.
void | UpdateExcludedData ()
void | UpdateLoweredWidgets ()
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnTick ()
| Called once per (game) tick.
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
virtual void | OnHundredthTick ()
| Called once every 100 (game) ticks.
## Data Fields
bool | first_init
| This value is true until the first initialization of the window has finished.

## Detailed Description

Definition at line 862 of file graph_gui.cpp.

## Member Function Documentation

virtual void PaymentRatesGraphWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from BaseGraphWindow.

Definition at line 929 of file graph_gui.cpp.

References _current_text_dir, _sorted_cargo_specs, DrawString(), GfxFillRect(), Window::IsWidgetLowered(), CargoSpec::name, PC_BLACK, SetDParam(), and WID_CPR_CARGO_FIRST.

virtual void PaymentRatesGraphWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from BaseGraphWindow.

Definition at line 955 of file graph_gui.cpp.

References _sorted_cargo_specs, BaseGraphWindow::excluded_data, FOR_ALL_SORTED_STANDARD_CARGOSPECS, CargoSpec::Index(), SetBit(), Window::SetDirty(), ToggleBit(), Window::ToggleWidgetLoweredState(), WID_CPR_CARGO_FIRST, WID_CPR_DISABLE_CARGOES, and WID_CPR_ENABLE_CARGOES.

virtual void PaymentRatesGraphWindow::OnInit | ( |  | ) | `[inline, virtual]`

Notification that the nested widget tree gets initialized.

The event can be used to perform general computations.

Note:
  nested_root and/or nested_array (normally accessed via GetWidget()) may not exist during this call.

Reimplemented from Window.

Definition at line 882 of file graph_gui.cpp.

References first_init, and OnHundredthTick().

virtual void PaymentRatesGraphWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Reimplemented from BaseGraphWindow.

Definition at line 1002 of file graph_gui.cpp.

References OnHundredthTick().

virtual void PaymentRatesGraphWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from BaseGraphWindow.

Definition at line 913 of file graph_gui.cpp.

References _sorted_cargo_specs, GetStringBoundingBox(), maxdim(), CargoSpec::name, SetDParam(), WD_FRAMERECT_LEFT, WD_FRAMERECT_TOP, and WID_CPR_CARGO_FIRST.

The documentation for this struct was generated from the following file:

- src/graph_gui.cpp